package socket005;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;
import java.text.SimpleDateFormat;
import java.util.Date;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JTextArea;

public class ServerFrame extends JFrame{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private JTextArea tf;
	private JTextArea ta;
	private JButton SEND;
	private Socket client;
	private DataInputStream dis;
	private DataOutputStream dos;
	private ServerSocket server;
	public ServerFrame() {
		initJFrame();
		initConnect();
		new Thread(new ServerThread(this)).start();
	}
	
	public JTextArea getTf() {
		return tf;
	}

	public JTextArea getTa() {
		return ta;
	}

	public DataInputStream getDis() {
		return dis;
	}

	private void initConnect() {
		try {
			server=new ServerSocket(7788);
			client=server.accept();
			dis = new DataInputStream(client.getInputStream());
			dos = new DataOutputStream(client.getOutputStream());
		} catch (IOException e) {
			System.out.println(e.getMessage());
		}
	}
	public void initJFrame(){
		this.setSize(340, 420);
		this.setLayout(null);
		this.setTitle("");
		tf=new JTextArea();
		ta=new JTextArea();
		SEND=new JButton("");
		tf.setBounds(10, 30, 310, 250);
		ta.setBounds(10, 290, 250, 100);
		SEND.setBounds(260, 290, 60, 100);
		SEND.addActionListener(new ActionListener() {
			
			@Override
			public void actionPerformed(ActionEvent e) {
				String sta=ta.getText();//ȡǰtaֵ
				SimpleDateFormat format=new SimpleDateFormat("HH:mm:ss");
				String time=format.format(new Date());
				tf.append("	"+time+"\r\n"+sta+"\r\n");
				ta.setText("");
				try {
					dos.writeUTF(sta);
				} catch (IOException e1) {
					e1.printStackTrace();
				}
			}
		});
		this.add(tf);
		this.add(ta);
		this.add(SEND);
		this.setLocationRelativeTo(null);
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		this.setVisible(true);
	}
	public static void main(String[] args) {
		new ServerFrame();
	}

}
